
body {
    margin: 0;
}

.parent {
    perspective: 400px;
    perspective-origin: 50% 50%;

    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

}
.block{
    width: 0px;
    height: 0px;
    border: 100px solid transparent;
    border-bottom: 200px solid green;

    transform-origin: 0% 200px;
    animation: rotate-z 2s infinite normal ease-in 0s;
}

@keyframes rotate-z {
    from {
        transform: rotateX(0deg);
    }
    to {
        transform: rotateX(360deg);
    }
}